Bug 50795 - audio/solfege does not function
Summary: audio/solfege does not function
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-11 00:50 UTC by spcoltri
Modified: 2004-05-06 17:52 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description spcoltri 2003-04-11 00:50:14 UTC
solfege fails:

hrothgar ~ % solfege
Traceback (most recent call last):
  File "/usr/X11R6/bin/solfege", line 31, in ?
    os.chdir("/usr/X11R6/share/solfege/1.9.9")
OSError: [Errno 2] No such file or directory: '/usr/X11R6/share/solfege/1.9.9'

hrothgar ~ # ln -s /usr/X11R6/share/gnome/solfege /usr/X11R6/share/solfege

hrothgar ~ % solfege

(solfege19:91103): GLib-GObject-WARNING **: gobject.c:946:g_object_get_valist(): object class `GnomeProgram' has no property named `default-icon'
Traceback (most recent call last):
  File "/usr/X11R6/bin/solfege", line 46, in ?
    import src.mainwin
  File "/usr/X11R6/share/gnome/solfege/1.9.9/src/mainwin.py", line 602, in ?
    w = MainWin(args)
  File "/usr/X11R6/share/gnome/solfege/1.9.9/src/mainwin.py", line 254, in __init__
    self.m_app = app.SolfegeApp(argv, self)
  File "/usr/X11R6/share/gnome/solfege/1.9.9/src/app.py", line 39, in __init__
    self.setup_sound()
  File "/usr/X11R6/share/gnome/solfege/1.9.9/src/app.py", line 121, in setup_sound
    verbose_init='--verbose-sound-init' in self.m_argv)
  File "/usr/X11R6/share/solfege/1.9.9/soundcard/__init__.py", line 39, in initialise_devicefile
    import oss_sequencer2
  File "/usr/X11R6/share/gnome/solfege/1.9.9/soundcard/oss_sequencer2.py", line 18, in ?
    import oss_common
  File "/usr/X11R6/share/gnome/solfege/1.9.9/soundcard/oss_common.py", line 19, in ?
    import solfege_c_midi
ImportError: No module named solfege_c_midi

Fix: 

???
How-To-Repeat: cd ports/misc/solfege; make install; solfege
Comment 1 Kris Kennaway freebsd_committer 2004-03-06 12:52:46 UTC
State Changed
From-To: open->suspended

Suspended awaiting patch.  Please take this up with the software 
authors and keep this PR updated with anything you find out.
Comment 2 Volker Stolz freebsd_committer 2004-05-06 14:56:09 UTC
State Changed
From-To: suspended->analyzed

solfege-audio is Linux-specific and thus not available on FreeBSD (yet?). 
Try "solfege --no-sound" (which might turn out to be rather pointless). 

We should advertise this in pkg-message and make it the default, I guess.
Comment 3 Volker Stolz freebsd_committer 2004-05-06 17:50:47 UTC
State Changed
From-To: analyzed->closed

Note that there's no audio on FreeBSD in the port.